# $Revision: 1.4 $, $Date: 2011/06/01 12:32:43 $

Summary:	A high level C++ client for Cassandra
Summary(pl.UTF-8):	Klient Cassandry wyższego poziomu w C++
Name:		libcassandra
Version:	0.2.91
Release:	1
License:	BSD
Group:		Libraries
# https://download.github.com/matkor-libcassandra-0.2.91-0-g98ab52b.tar.gz
Source0:	https://download.github.com/matkor-libcassandra-%{version}-0-g98ab52b.tar.gz
# Source0-md5:	8563f97a35ca4b465250e1e26873016e
# Patch0:		%{name}-link_fix.patch
URL:		https://github.com/posulliv/libcassandra
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.583
BuildRequires:	thrift-devel >= 0.5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A C++ wrapper library for the interface to cassandra generated by
thrift. This library is based on the Java client hector.

%description -l pl.UTF-8
Biblioteak C++ wokół interfejsu do Cassandry wygnerwoanej przez
thrift. Oparta na Javowym kliencie Hector.


%package devel
Summary:	Header files for libcassandra library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libcassandra
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libcassandra library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libcassandra.


%prep
%setup -q -n matkor-libcassandra-98ab52b
# %patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CXXFLAGS="%{rpmcxxflags} -Wno-variadic-macros -Wno-deprecated"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
# create directories if necessary
#install -d $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# %doc AUTHORS CREDITS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/libcassandra.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcassandra.so.3
%attr(755,root,root) %{_libdir}/libgenthrift.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgenthrift.so.3

%files devel
%defattr(644,root,root,755)
%{_libdir}/libcassandra.so
%{_libdir}/libcassandra.la
%{_libdir}/libgenthrift.so
%{_libdir}/libgenthrift.la
%{_includedir}/libcassandra
%{_includedir}/libgenthrift

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcassandra.spec,v $
Revision 1.4  2011/06/01 12:32:43  matkor
- Version 0.2.91.

Revision 1.3  2011/04/14 21:52:14  matkor
- Release 1. Works for me.

Revision 1.2  2011/04/14 14:44:28  sparky
- DO NOT CALL autorun.sh !

Revision 1.1  2011/04/14 13:28:58  matkor
- Initial. Needs testing.

